Skip to main content

Add Schedule Action

POST/api/v1/nodes/{node_id}/scheduled_actions/

Path parameters

  • node_idPathstringrequired

    Path parameter node_id.

Query parameters

  • project_idQuerystringoptional

    Identifier of the project to scope the request to. Optional; if omitted, the account's default project is used.

    • optional
    • if omitted, the request is applied to the default project
    example{{project_id}}
  • apikeyQuerystringoptional

    API key used for authentication

    • required
    • non-empty string
    example{{api_key}}
  • locationQuerystringoptional

    Location identifier for the schedule

    • must be a non-empty string
    • should be URL-encoded if it contains special characters
    example{{location}}

Request body

application/json

object
timezonestring

Time zone identifier for the schedule

exampleAsia/Calcutta
  • required
  • must be a valid IANA time zone identifier
action_tagstring

Identifier for the schedule action to perform

examplepow-off
  • must be a non-empty string
  • may contain only letters, numbers, and hyphens
actionstring

Specifies the schedule action to perform

examplepoweroff
  • must be a non-empty string
  • must be one of the supported actions such as "poweroff", "reboot", "sleep"
scheduled_typestring

Specifies the type of schedule to add

exampleperiodic
  • must be a non-empty string
  • allowed values: periodic, once, cron
periodicobject

Responses

200Successful response
object
codeinteger

HTTP status code indicating the result of adding a schedule

example200
  • must be a valid HTTP status code
  • must be a three-digit integer
datainteger

Identifier of the created schedule

example123456
  • must be a non-negative integer
  • must fit within a 32-bit signed integer
errorsobject
messagestring

Human-readable status message for the add schedule operation

examplesuccessfully added scheduled action to your virtual machine
  • must be a non-empty string
  • maximum length 256 characters